Index: sansmodels/src/sans/models/BaseComponent.py
===================================================================
--- sansmodels/src/sans/models/BaseComponent.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/BaseComponent.py	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -8,4 +8,5 @@
 #TO DO: that about a way to make the parameter
 #is self return if it is fittable or not  
+
 class BaseComponent:
     """ 
@@ -42,5 +43,5 @@
         return par_name.lower() not in self.fixed
         #For the future
-        #return self.params['par_name'].is_fittable()
+        #return self.params[str(par_name)].is_fittable()
    
     def run(self, x): return NotImplemented
@@ -71,4 +72,5 @@
         # Look for dispersion parameters
         toks = name.split('.')
+        print "dispersion",self.dispersion
         if len(toks)==2:
             for item in self.dispersion.keys():
@@ -83,4 +85,6 @@
                 if item.lower()==name.lower():
                     self.params[item] = value
+                    #self.params[item] = Parameter(name= item,value=value, is_fixed=False)
+                    #print "setparam,self.param",self.params.values()
                     return
             
@@ -105,4 +109,6 @@
             for item in self.params.keys():
                 if item.lower()==name.lower():
+                    #print "getparam", self.params
+                    #return self.params[item].value
                     return self.params[item]
             
Index: sansmodels/src/sans/models/CoreShellCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY ../c_extensions/core_shell_cylinder.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\core_shell_cylinder.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,5 +28,5 @@
 class CoreShellCylinderModel(CCoreShellCylinderModel, BaseComponent):
     """ Class that evaluates a CoreShellCylinderModel model. 
-    	This file was auto-generated from ../c_extensions/core_shell_cylinder.h.
+    	This file was auto-generated from ..\c_extensions\core_shell_cylinder.h.
     	Refer to that file and the structure it contains
     	for details of the model.
@@ -54,4 +54,5 @@
         ## Name of the model
         self.name = "CoreShellCylinderModel"
+        ## Model description
         self.description ="""P(q,alpha)= scale/Vs*f(q)^(2) + bkg  Where:\n\
 		f(q)= 2(core_sld- solvant_sld)* Vc*sin[qLcos(alpha/2)]/\n\
@@ -72,4 +73,5 @@
 		theta: axis_theta of the cylinder
 		phi: the axis_phi of the cylinder"""
+       
 		## Parameter details [units, min, max]
         self.details = {}
@@ -84,10 +86,7 @@
         self.details['axis_theta'] = ['rad', None, None]
         self.details['axis_phi'] = ['rad', None, None]
-        # fixed paramaters
-        self.fixed=['axis_phi.npts','axis_phi.nsigmas',
-				    'axis_theta.npts','axis_theta.nsigmas',
-				    'length.npts','length.nsigmas',
-				    'radius.npts','radius.nsigmas',
-				    'thickness.npts','thickness.nsigmas' ]
+
+		## fittable parameters
+        self.fixed=['axis_phi.width', 'axis_theta.width', 'length.width', 'radius.width', 'thickness_width']
    
     def clone(self):
Index: sansmodels/src/sans/models/CoreShellModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellModel.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/CoreShellModel.py	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY ../c_extensions/core_shell.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\core_shell.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,5 +28,5 @@
 class CoreShellModel(CCoreShellModel, BaseComponent):
     """ Class that evaluates a CoreShellModel model. 
-    	This file was auto-generated from ../c_extensions/core_shell.h.
+    	This file was auto-generated from ..\c_extensions\core_shell.h.
     	Refer to that file and the structure it contains
     	for details of the model.
@@ -51,5 +51,7 @@
         ## Name of the model
         self.name = "CoreShellModel"
+        ## Model description
         self.description =""""""""
+       
 		## Parameter details [units, min, max]
         self.details = {}
@@ -61,6 +63,7 @@
         self.details['solvent_sld'] = ['A-2', None, None]
         self.details['background'] = ['cm-1', None, None]
-        
-        self.fixed = ['radius.npts','radius.nsigmas','thickness.npts','thickness.nsigmas']
+
+		## fittable parameters
+        self.fixed=['thickness.width', 'radius.width']
    
     def clone(self):
Index: sansmodels/src/sans/models/CylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CylinderModel.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/CylinderModel.py	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY ../c_extensions/cylinder.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\cylinder.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,5 +28,5 @@
 class CylinderModel(CCylinderModel, BaseComponent):
     """ Class that evaluates a CylinderModel model. 
-    	This file was auto-generated from ../c_extensions/cylinder.h.
+    	This file was auto-generated from ..\c_extensions\cylinder.h.
     	Refer to that file and the structure it contains
     	for details of the model.
@@ -51,4 +51,5 @@
         ## Name of the model
         self.name = "CylinderModel"
+        ## Model description
         self.description ="""P(q,alpha)= scale/V*f(q)^(2)+bkg
 		f(q)= 2*(scatter_sld - solvent_sld)*V*sin(qLcos(alpha/2))/[qLcos(alpha/2)]*
@@ -61,4 +62,5 @@
 		for 1D:the ouput is P(q)=scale/V*integral from pi/2 to zero of f(q)^(2)*
 		sin(alpha)*dalpha+ bkg"""
+       
 		## Parameter details [units, min, max]
         self.details = {}
@@ -70,7 +72,7 @@
         self.details['cyl_theta'] = ['rad', None, None]
         self.details['cyl_phi'] = ['rad', None, None]
-        # fixed parameters
-        self.fixed = ['cyl_phi.npts','cyl_phi.nsigmas','cyl_theta.npts','cyl_theta.nsigmas',
-					  'length.npts','length.nsigmas','radius.npts','radius.nsigmas'] 
+
+		## fittable parameters
+        self.fixed=['cyl_phi.width', 'cyl_theta.width', 'length.width', 'radius.width']
    
     def clone(self):
Index: sansmodels/src/sans/models/EllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/EllipsoidModel.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/EllipsoidModel.py	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY ../c_extensions/ellipsoid.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\ellipsoid.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,5 +28,5 @@
 class EllipsoidModel(CEllipsoidModel, BaseComponent):
     """ Class that evaluates a EllipsoidModel model. 
-    	This file was auto-generated from ../c_extensions/ellipsoid.h.
+    	This file was auto-generated from ..\c_extensions\ellipsoid.h.
     	Refer to that file and the structure it contains
     	for details of the model.
@@ -51,4 +51,5 @@
         ## Name of the model
         self.name = "EllipsoidModel"
+        ## Model description
         self.description =""""P(q.alpha)= scale*f(q)^(2)+ bkg\n\
 		f(q)= 3*(scatter_sld- scatter_solvent)*V*[sin(q*r(Ra,Rb,alpha)) - q*r*cos(qr(Ra,Rb,alpha))]
@@ -60,4 +61,5 @@
 		Ra: radius along the rotation axis of the Ellipsoid
 		Rb: radius perpendicular to the rotation axis of the ellipsoid"""
+       
 		## Parameter details [units, min, max]
         self.details = {}
@@ -69,9 +71,7 @@
         self.details['axis_theta'] = ['rad', None, None]
         self.details['axis_phi'] = ['rad', None, None]
-        # fixed paramaters
-        self.fixed=['axis_phi.npts','axis_phi.nsigmas',
-				    'axis_theta.npts','axis_theta.nsigmas',
-				    'radius_a.npts','radius_a.nsigmas',
-				    'radius_b.npts','radius_b.nsigmas' ]
+
+		## fittable parameters
+        self.fixed=['axis_phi.width', 'axis_theta', 'radius_a.width']
    
     def clone(self):
Index: sansmodels/src/sans/models/EllipticalCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY ../c_extensions/elliptical_cylinder.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\elliptical_cylinder.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,5 +28,5 @@
 class EllipticalCylinderModel(CEllipticalCylinderModel, BaseComponent):
     """ Class that evaluates a EllipticalCylinderModel model. 
-    	This file was auto-generated from ../c_extensions/elliptical_cylinder.h.
+    	This file was auto-generated from ..\c_extensions\elliptical_cylinder.h.
     	Refer to that file and the structure it contains
     	for details of the model.
@@ -53,5 +53,7 @@
         ## Name of the model
         self.name = "EllipticalCylinderModel"
+        ## Model description
         self.description =""""""""
+       
 		## Parameter details [units, min, max]
         self.details = {}
@@ -65,11 +67,7 @@
         self.details['cyl_phi'] = ['rad', None, None]
         self.details['cyl_psi'] = ['rad', None, None]
-        # fixed paramaters
-        self.fixed=['cyl_phi.npts','cyl_phi.nsigmas',
-				    'cyl_psi.npts','cyl_phi.nsigmas',
-				    'cyl_theta.npts','cyl_theta.nsigmas',
-				    'length.npts','length.nsigmas',
-				    'r_minor.npts','r_miror.nsigmas',
-				    'r_ratio.npts','r_ratio.nsigmas' ]
+
+		## fittable parameters
+        self.fixed=['cyl_theta', 'cyl_psi.width', 'length.width', 'r_minor.width', 'r_ratio.width']
    
     def clone(self):
Index: sansmodels/src/sans/models/SphereModel.py
===================================================================
--- sansmodels/src/sans/models/SphereModel.py	(revision 7dde98ec8a9e8114b5395f832552b43b51452208)
+++ sansmodels/src/sans/models/SphereModel.py	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY ../c_extensions/sphere.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\sphere.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,5 +28,5 @@
 class SphereModel(CSphereModel, BaseComponent):
     """ Class that evaluates a SphereModel model. 
-    	This file was auto-generated from ../c_extensions/sphere.h.
+    	This file was auto-generated from ..\c_extensions\sphere.h.
     	Refer to that file and the structure it contains
     	for details of the model.
@@ -48,4 +48,5 @@
         ## Name of the model
         self.name = "SphereModel"
+        ## Model description
         self.description ="""P(q)=(scale/V)*[3V(scatter_sld-solvent_sld)*(sin(qR)-qRcos(qR))/(qR)^3]^(2)
 		+bkg
@@ -55,4 +56,5 @@
 		scatter_sld: the scattering length density of the scatter
 		solvent_sld: the scattering length density of the solvent"""
+       
 		## Parameter details [units, min, max]
         self.details = {}
@@ -62,4 +64,6 @@
         self.details['background'] = ['cm-1', None, None]
 
+		## fittable parameters
+        self.fixed=['radius.width']
    
     def clone(self):
Index: sansmodels/src/sans/models/c_extensions/core_shell.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/core_shell.h	(revision 96672c05d2a444bfc0ce599c2ae50b1825f6e049)
+++ sansmodels/src/sans/models/c_extensions/core_shell.h	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -8,4 +8,5 @@
  //[DISP_PARAMS] = radius, thickness
  //[DESCRIPTION] =""
+ //[FIXED]= <text> thickness.width;radius.width</text>
 typedef struct {
     /// Scale factor
Index: sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h	(revision 4d3acb623faa6fedffe5a92118fd06958535f684)
+++ sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -26,4 +26,5 @@
  // 					phi: the axis_phi of the cylinder
  //					</text>
+ //[FIXED]= <text> axis_phi.width; axis_theta.width; length.width;radius.width; thickness_width</text>
 
 typedef struct {
Index: sansmodels/src/sans/models/c_extensions/cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/cylinder.h	(revision 4ce29e0eed5863cb20bf9f26a566106240d9e211)
+++ sansmodels/src/sans/models/c_extensions/cylinder.h	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -15,4 +15,5 @@
 						sin(alpha)*dalpha+ bkg
 					</text>
+	[FIXED]= <text> cyl_phi.width; cyl_theta.width; length.width;radius.width</text>
 	
  **/
Index: sansmodels/src/sans/models/c_extensions/ellipsoid.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/ellipsoid.h	(revision 4d3acb623faa6fedffe5a92118fd06958535f684)
+++ sansmodels/src/sans/models/c_extensions/ellipsoid.h	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -19,4 +19,6 @@
  //						Rb: radius perpendicular to the rotation axis of the ellipsoid
  //						</text>
+ //[FIXED]= <text> axis_phi.width; axis_theta;radius_a.width;
+ //radius_b.width; length.width; r_minor.width, r_ratio.width</text>
 typedef struct {
     /// Scale factor
Index: sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h	(revision 96672c05d2a444bfc0ce599c2ae50b1825f6e049)
+++ sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -6,4 +6,6 @@
  * [DISP_PARAMS] = r_minor, r_ratio, length, cyl_theta, cyl_phi, cyl_psi
  * [DESCRIPTION] = ""
+ * [FIXED]= <text> cyl_phi.width;
+ * cyl_theta; cyl_psi.width; length.width; r_minor.width; r_ratio.width </text>
  * */
 typedef struct {
Index: sansmodels/src/sans/models/c_extensions/sphere.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/sphere.h	(revision 98bfd107d4c62126182ee324ce0b43c216278947)
+++ sansmodels/src/sans/models/c_extensions/sphere.h	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -15,4 +15,5 @@
  //						solvent_sld: the scattering length density of the solvent
  //				</text>
+ //[FIXED]= <text> radius.width</text>
  
 typedef struct {
Index: sansmodels/src/sans/models/c_models/CSphereModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSphereModel.cpp	(revision 0f5bc9ff2027432913fd8d2cb067675244acdaf6)
+++ sansmodels/src/sans/models/c_models/CSphereModel.cpp	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -83,8 +83,8 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",0.000001));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
         PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",60.000000));
         PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"contrast",Py_BuildValue("d",1.000000));
+        PyDict_SetItemString(self->params,"contrast",Py_BuildValue("d",0.000001));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/WrapperGenerator.py
===================================================================
--- sansmodels/src/sans/models/c_models/WrapperGenerator.py	(revision 95986b51aaa51d5bcecf55fc1d098074999e593b)
+++ sansmodels/src/sans/models/c_models/WrapperGenerator.py	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -81,4 +81,6 @@
         #model description
         self.description=''
+        # paramaters for fittable
+        self.fixed= []
         
     def __repr__(self):
@@ -89,4 +91,5 @@
         rep += "  params:     %s\n" % self.params
         rep += "  description:     %s\n" % self.description
+        rep += "  fittable paramaters list %s\n"% self.fixed
         return rep
         
@@ -108,4 +111,91 @@
         self.details += "        self.details = {}\n"
          # Catch Description
+        key = "[FIXED]"
+        #open item in this case Fixed
+        text='text'
+        key2="<%s>"%text.lower()
+        # close an item in this case fixed
+        text='text'
+        key3="</%s>"%text.lower()
+        temp=""
+        # flag to found key
+        find_fixed= 0
+        
+        for line in lines:
+            if line.count(key)>0 :#[FIXED]= .....
+                try:
+                    find_fixed= 1
+                    index = line.index(key)
+                    toks  = line[index:].split("=",1 )
+                    temp  = toks[1].lstrip().rstrip()
+                    if re.match(key2,temp)!=None:#[FIXED]= <text> axis_phi.width; axis_theta</text>
+                        print "when here"
+                        toks2=temp.split(key2,1)\
+                        # split the ";" inside the string
+                        print "toks[2]",toks2,toks2[1]
+                        if  re.search(";",toks2[1]) !=None:
+                            params= toks2[1].split(";")
+                            for item in params:
+                                print "item", item
+                                if  re.search( key3,item)!=None:
+                                    par= item.split(key3)#remove key3
+                                    print "par", par, par[0]
+                                    new_par=par[0].lstrip().rstrip()
+                                    break
+                            #print "Key2 and Key3 in the same line , more than 1 param", self.fixed
+                        else:#only 1 param with key2 and key3
+                            if  re.search( key3,toks2[1])!=None:
+                                par= toks2[1].split(key3)#remove key3
+                                new_par=par[0].lstrip().rstrip()
+                                self.fixed.append(new_par.lstrip().rstrip())
+                                #print "Key2 and Key3 in the same line , only 1 param ",self.fixed 
+                                break
+                    else: # no key2 and key3 #[FIXED]=  axis_phi.width; axis_theta
+                        temp2 = temp.lstrip().rstrip()
+                        if  re.search(";", temp2) !=None:# more than 1 param in the same line
+                            params= temp2.split(";")
+                            #print "no key2 and key3  params", params
+                            for item in params:
+                                if item!='':
+                                    self.fixed.append(item.lstrip().rstrip())
+                            #print "no key2 and key3, more than 1 param ",self.fixed
+                        else:# only one param per line #[FIXED]=  axis_phi.width
+                             self.fixed.append(temp2)
+                             #print "no key2 and key3, only 1 param ",self.fixed
+                        break
+                except:
+                     raise
+                     raise ValueError, "Could not parse file %s" % self.file
+            if find_fixed==1:# go to the 2nd line containing info found 1 key2
+                #[FIXED]= <text> axis_phi.width; axis_theta;radius_a.width;
+                #radius_</text>
+                if re.search(key3,line)!=None:# find  </text>
+                    tok=line.split(key3,1)
+                    print "tok",tok,tok[0]
+                    if re.match('//',tok[0].lstrip().rstrip())!=None:# look for '//'
+                        temp=tok[0].split("//",1)# remove "//"
+                    elif re.match('\*',tok[0].lstrip().rstrip())!=None:
+                        temp=tok[0].split("*",1)# remove "*"
+                    else:
+                        # missing "*" or "//" on comment 
+                        raise
+                        #raise ValueError, "Could not parse file %s" % self.file
+                    for item in temp:
+                        if item.lstrip().rstrip() !='':
+                            pars= item.lstrip().rstrip()
+                            if  re.search(";",pars) !=None:# split string by ";" more than 1 parameter
+                                params= pars.split(";")
+                                for name in params:
+                                    if name.lstrip().rstrip() !='':
+                                        self.fixed.append(name.lstrip().rstrip())
+                            else:# contains only one parameter
+                                name=pars.lstrip().rstrip()
+                                if name!='' and name!= key3:#only 1 parameter but ignore key3
+                                    self.fixed.append(name.lstrip().rstrip())
+                                    #print "the line contains only one parameters",name.lstrip().rstrip()
+                                break
+            
+                
+        # Catch Description
         key = "[DESCRIPTION]"
         find_description= 0
@@ -393,5 +483,8 @@
                                         "[PAR_DETAILS]", self.details)
            
-
+            # fixed list  details
+            newline = self.replaceToken(newline, 
+                                        "[FIXED]",str(self.fixed))
+           
             # Write new line to the wrapper .c file
             file.write(newline+'\n')
@@ -409,7 +502,9 @@
         lenkey = len(key)
         newline = line
+       
         while newline.count(key)>0:
             index = newline.index(key)
             newline = newline[:index]+value+newline[index+lenkey:]
+        
         return newline
         
Index: sansmodels/src/sans/models/c_models/modelTemplate.txt
===================================================================
--- sansmodels/src/sans/models/c_models/modelTemplate.txt	(revision 9316609c953db33f23a48a9b91ce5b283ea935f4)
+++ sansmodels/src/sans/models/c_models/modelTemplate.txt	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
@@ -43,6 +43,10 @@
         ## Name of the model
         self.name = "[PYTHONCLASS]"
+        ## Model description
         self.description ="""[DESCRIPTION]"""
+       
 		[PAR_DETAILS]
+		## fittable parameters
+        self.fixed=[FIXED]
    
     def clone(self):
Index: sansmodels/src/sans/models/c_models/parameters.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/parameters.cpp	(revision fcd8a80eaffb79a02e04211c84b55bc317b4d857)
+++ sansmodels/src/sans/models/c_models/parameters.cpp	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)
Index: sansmodels/src/sans/models/c_models/sphere.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/sphere.cpp	(revision 0f5bc9ff2027432913fd8d2cb067675244acdaf6)
+++ sansmodels/src/sans/models/c_models/sphere.cpp	(revision 836fe6e73d15cf2f32c74bbf3b953b37d776f2ff)