Index: sansmodels/src/sans/models/c_extensions/fcc.c
===================================================================
--- sansmodels/src/sans/models/c_extensions/fcc.c	(revision 890ac7f156aa123d3a2d72d1e43ca2a08af66966)
+++ sansmodels/src/sans/models/c_extensions/fcc.c	(revision 839f7e28c011deb396c95d09a5783cbe57a2083b)
@@ -58,12 +58,11 @@
  */
 double fc_analytical_2D_scaled(FCParameters *pars, double q, double q_x, double q_y) {
-	double a3_x, a3_y, a3_z, a2_x, a2_y, a1_x, a1_y;
-	double b3_x, b3_y, b3_z, b2_x, b2_y, b1_x, b1_y;
+	double b3_x, b3_y, b3_z, b1_x, b1_y;
 	double q_z;
-	double alpha, vol, cos_val_b3, cos_val_b2, cos_val_b1, cos_val_a3, cos_val_a2, cos_val_a1;
+	double alpha, cos_val_b3, cos_val_b2, cos_val_b1;
 	double a1_dot_q, a2_dot_q,a3_dot_q;
 	double answer;
 	double Pi = 4.0*atan(1.0);
-	double aa, Da, qDa_2, latticeScale, Zq, Fkq, Fkq_2,contrast;
+	double aa, Da, qDa_2, latticeScale, Zq, Fkq, Fkq_2;
 
 	double dp[5];
Index: sansmodels/src/sans/models/c_extensions/refl.c
===================================================================
--- sansmodels/src/sans/models/c_extensions/refl.c	(revision 3be94e82955b2189079385864429387ed6e7d30b)
+++ sansmodels/src/sans/models/c_extensions/refl.c	(revision 839f7e28c011deb396c95d09a5783cbe57a2083b)
@@ -23,9 +23,9 @@
 	double background = dp[6];
 
-  double total_thick;
+  double total_thick=0.0;
   double nsl=21.0; //nsl = Num_sub_layer:
   int n_s;
-  double sld_i,sldim_i,dz,phi,R,ko2;
-  double sign,erfunc, fun;
+  double sld_i,dz,phi,R,ko2;
+  double fun;
   double pi;
 
@@ -34,5 +34,5 @@
   double* thick;
   int*fun_type;
-  complex  inv_n,phi1,alpha,alpha2,kn,fnm,fnp,rn,Xn,nn,nn2,an,nnp1,one,zero,two,n_sub,n_sup,knp1,Xnp1;
+  complex  phi1,alpha,alpha2,kn,fnm,fnp,rn,Xn,nn,nn2,an,nnp1,one,two,n_sub,n_sup,knp1,Xnp1;
 
   sld = (double*)malloc((n+2)*sizeof(double));
@@ -58,7 +58,6 @@
 
 	pi = 4.0*atan(1.0);
-    one = cassign(1.0,0.0);
-	//zero = cassign(0.0,0.0);
-	two= cassign(0.0,-2.0);
+  Xn = cassign(0.0,0.0);
+	two = cassign(0.0,-2.0);
 
 	//Checking if floor is available.
Index: sansmodels/src/sans/models/c_extensions/rpa.c
===================================================================
--- sansmodels/src/sans/models/c_extensions/rpa.c	(revision 35aface36aa7573475600ebbacb987f50386d5f8)
+++ sansmodels/src/sans/models/c_extensions/rpa.c	(revision 839f7e28c011deb396c95d09a5783cbe57a2083b)
@@ -13,15 +13,15 @@
 	int lCASE = dp[0];
 
-	double Na,Nb,Nc,Nd,Nab,Nac,Nad,Nba,Nbc,Nbd,Nca,Ncb,Ncd;
+	double Na,Nb,Nc,Nd,Nab,Nac,Nad,Nbc,Nbd,Ncd;
 	double Phia,Phib,Phic,Phid,Phiab,Phiac,Phiad;
-	double Phiba,Phibc,Phibd,Phica,Phicb,Phicd,Phida,Phidb,Phidc;
-	double va,vb,vc,vd,vab,vac,vad,vba,vbc,vbd,vca,vcb,vcd,vda,vdb,vdc;
+	double Phibc,Phibd,Phicd;
+	double va,vb,vc,vd,vab,vac,vad,vbc,vbd,vcd;
 	double m;
 	double ba,bb,bc,bd;
 	double Xa,Xb,Xc,Xd;
 	double Paa,S0aa,Pab,S0ab,Pac,S0ac,Pad,S0ad;
-	double Pba,S0ba,Pbb,S0bb,Pbc,S0bc,Pbd,S0bd;
-	double Pca,S0ca,Pcb,S0cb,Pcc,S0cc,Pcd,S0cd;
-	double Pda,S0da,Pdb,S0db,Pdc,S0dc,Pdd,S0dd;
+	double S0ba,Pbb,S0bb,Pbc,S0bc,Pbd,S0bd;
+	double S0ca,S0cb,Pcc,S0cc,Pcd,S0cd;
+	double S0da,S0db,S0dc,Pdd,S0dd;
 	double Kaa,Kab,Kac,Kad,Kba,Kbb,Kbc,Kbd;
 	double Kca,Kcb,Kcc,Kcd,Kda,Kdb,Kdc,Kdd;
Index: sansmodels/src/sans/models/c_extensions/spheresld.c
===================================================================
--- sansmodels/src/sans/models/c_extensions/spheresld.c	(revision 3be94e82955b2189079385864429387ed6e7d30b)
+++ sansmodels/src/sans/models/c_extensions/spheresld.c	(revision 839f7e28c011deb396c95d09a5783cbe57a2083b)
@@ -23,10 +23,8 @@
   double nsl=npts;//21.0; //nsl = Num_sub_layer:  MUST ODD number in double //no other number works now
   int n_s;
-  int floor_nsl;
 
   double sld_i,sld_f,dz,bes,fun,f,vol,vol_pre,vol_sub,qr,r,contr,f2;
   double sign,slope=0.0;
   double pi;
-  double r0 = 0.0, thick_inter_f;
 
   int* fun_type;
@@ -36,5 +34,5 @@
   double* fun_coef;
 
-	double total_thick;
+	double total_thick=0.0;
 
 	fun_type = (int*)malloc((n+2)*sizeof(int));