Index: src/sas/qtgui/Perspectives/Inversion/UI/TabbedInversionUI.py
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/UI/TabbedInversionUI.py	(revision c00a28ff90ee52011612ce41727f839824235292)
+++ 	(revision )
@@ -1,378 +1,0 @@
-# -*- coding: utf-8 -*-
-
-# Form implementation generated from reading ui file '.\Perspectives\Inversion\UI\TabbedInversionUI.ui'
-#
-# Created by: PyQt4 UI code generator 4.11.4
-#
-# WARNING! All changes made in this file will be lost!
-
-from PyQt4 import QtCore, QtGui
-
-try:
-    _fromUtf8 = QtCore.QString.fromUtf8
-except AttributeError:
-    def _fromUtf8(s):
-        return s
-
-try:
-    _encoding = QtGui.QApplication.UnicodeUTF8
-    def _translate(context, text, disambig):
-        return QtGui.QApplication.translate(context, text, disambig, _encoding)
-except AttributeError:
-    def _translate(context, text, disambig):
-        return QtGui.QApplication.translate(context, text, disambig)
-
-class Ui_PrInversion(object):
-    def setupUi(self, PrInversion):
-        PrInversion.setObjectName(_fromUtf8("PrInversion"))
-        PrInversion.resize(458, 500)
-        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
-        sizePolicy.setHorizontalStretch(0)
-        sizePolicy.setVerticalStretch(0)
-        sizePolicy.setHeightForWidth(PrInversion.sizePolicy().hasHeightForWidth())
-        PrInversion.setSizePolicy(sizePolicy)
-        PrInversion.setMinimumSize(QtCore.QSize(458, 500))
-        PrInversion.setMaximumSize(QtCore.QSize(458, 500))
-        self.gridLayout_7 = QtGui.QGridLayout(PrInversion)
-        self.gridLayout_7.setObjectName(_fromUtf8("gridLayout_7"))
-        self.horizontalLayout_8 = QtGui.QHBoxLayout()
-        self.horizontalLayout_8.setSizeConstraint(QtGui.QLayout.SetDefaultConstraint)
-        self.horizontalLayout_8.setObjectName(_fromUtf8("horizontalLayout_8"))
-        self.calculateThisButton = QtGui.QPushButton(PrInversion)
-        self.calculateThisButton.setObjectName(_fromUtf8("calculateThisButton"))
-        self.horizontalLayout_8.addWidget(self.calculateThisButton)
-        self.calculateAllButton = QtGui.QPushButton(PrInversion)
-        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
-        sizePolicy.setHorizontalStretch(0)
-        sizePolicy.setVerticalStretch(0)
-        sizePolicy.setHeightForWidth(self.calculateAllButton.sizePolicy().hasHeightForWidth())
-        self.calculateAllButton.setSizePolicy(sizePolicy)
-        self.calculateAllButton.setObjectName(_fromUtf8("calculateAllButton"))
-        self.horizontalLayout_8.addWidget(self.calculateAllButton)
-        spacerItem = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
-        self.horizontalLayout_8.addItem(spacerItem)
-        self.helpButton = QtGui.QPushButton(PrInversion)
-        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
-        sizePolicy.setHorizontalStretch(0)
-        sizePolicy.setVerticalStretch(0)
-        sizePolicy.setHeightForWidth(self.helpButton.sizePolicy().hasHeightForWidth())
-        self.helpButton.setSizePolicy(sizePolicy)
-        self.helpButton.setObjectName(_fromUtf8("helpButton"))
-        self.horizontalLayout_8.addWidget(self.helpButton)
-        self.gridLayout_7.addLayout(self.horizontalLayout_8, 3, 0, 1, 1)
-        spacerItem1 = QtGui.QSpacerItem(20, 2, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Expanding)
-        self.gridLayout_7.addItem(spacerItem1, 2, 0, 1, 1)
-        self.PrTabWidget = QtGui.QTabWidget(PrInversion)
-        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
-        sizePolicy.setHorizontalStretch(0)
-        sizePolicy.setVerticalStretch(0)
-        sizePolicy.setHeightForWidth(self.PrTabWidget.sizePolicy().hasHeightForWidth())
-        self.PrTabWidget.setSizePolicy(sizePolicy)
-        self.PrTabWidget.setMinimumSize(QtCore.QSize(0, 0))
-        self.PrTabWidget.setObjectName(_fromUtf8("PrTabWidget"))
-        self.tabMain = QtGui.QWidget()
-        self.tabMain.setObjectName(_fromUtf8("tabMain"))
-        self.verticalLayout_6 = QtGui.QVBoxLayout(self.tabMain)
-        self.verticalLayout_6.setObjectName(_fromUtf8("verticalLayout_6"))
-        self.dataSourceGroupBox = QtGui.QGroupBox(self.tabMain)
-        self.dataSourceGroupBox.setObjectName(_fromUtf8("dataSourceGroupBox"))
-        self.gridLayout_2 = QtGui.QGridLayout(self.dataSourceGroupBox)
-        self.gridLayout_2.setObjectName(_fromUtf8("gridLayout_2"))
-        self.horizontalLayout_3 = QtGui.QHBoxLayout()
-        self.horizontalLayout_3.setObjectName(_fromUtf8("horizontalLayout_3"))
-        self.label_5 = QtGui.QLabel(self.dataSourceGroupBox)
-        self.label_5.setObjectName(_fromUtf8("label_5"))
-        self.horizontalLayout_3.addWidget(self.label_5)
-        self.backgroundInput = QtGui.QLineEdit(self.dataSourceGroupBox)
-        self.backgroundInput.setEnabled(False)
-        self.backgroundInput.setObjectName(_fromUtf8("backgroundInput"))
-        self.horizontalLayout_3.addWidget(self.backgroundInput)
-        self.label_10 = QtGui.QLabel(self.dataSourceGroupBox)
-        self.label_10.setObjectName(_fromUtf8("label_10"))
-        self.horizontalLayout_3.addWidget(self.label_10)
-        self.estimateBgd = QtGui.QRadioButton(self.dataSourceGroupBox)
-        self.estimateBgd.setObjectName(_fromUtf8("estimateBgd"))
-        self.horizontalLayout_3.addWidget(self.estimateBgd)
-        self.manualBgd = QtGui.QRadioButton(self.dataSourceGroupBox)
-        self.manualBgd.setObjectName(_fromUtf8("manualBgd"))
-        self.horizontalLayout_3.addWidget(self.manualBgd)
-        self.horizontalLayout_3.setStretch(0, 2)
-        self.horizontalLayout_3.setStretch(1, 1)
-        self.horizontalLayout_3.setStretch(3, 2)
-        self.horizontalLayout_3.setStretch(4, 2)
-        self.gridLayout_2.addLayout(self.horizontalLayout_3, 1, 0, 1, 1)
-        self.horizontalLayout_2 = QtGui.QHBoxLayout()
-        self.horizontalLayout_2.setObjectName(_fromUtf8("horizontalLayout_2"))
-        self.label = QtGui.QLabel(self.dataSourceGroupBox)
-        self.label.setObjectName(_fromUtf8("label"))
-        self.horizontalLayout_2.addWidget(self.label)
-        self.dataList = QtGui.QComboBox(self.dataSourceGroupBox)
-        self.dataList.setObjectName(_fromUtf8("dataList"))
-        self.horizontalLayout_2.addWidget(self.dataList)
-        self.horizontalLayout_2.setStretch(0, 1)
-        self.horizontalLayout_2.setStretch(1, 3)
-        self.gridLayout_2.addLayout(self.horizontalLayout_2, 0, 0, 1, 1)
-        self.verticalLayout_6.addWidget(self.dataSourceGroupBox)
-        self.qRangeGroupBox = QtGui.QGroupBox(self.tabMain)
-        self.qRangeGroupBox.setObjectName(_fromUtf8("qRangeGroupBox"))
-        self.gridLayout_3 = QtGui.QGridLayout(self.qRangeGroupBox)
-        self.gridLayout_3.setObjectName(_fromUtf8("gridLayout_3"))
-        self.horizontalLayout_4 = QtGui.QHBoxLayout()
-        self.horizontalLayout_4.setObjectName(_fromUtf8("horizontalLayout_4"))
-        self.label_7 = QtGui.QLabel(self.qRangeGroupBox)
-        self.label_7.setObjectName(_fromUtf8("label_7"))
-        self.horizontalLayout_4.addWidget(self.label_7)
-        self.minQInput = QtGui.QLineEdit(self.qRangeGroupBox)
-        self.minQInput.setEnabled(True)
-        self.minQInput.setObjectName(_fromUtf8("minQInput"))
-        self.horizontalLayout_4.addWidget(self.minQInput)
-        self.label_11 = QtGui.QLabel(self.qRangeGroupBox)
-        self.label_11.setObjectName(_fromUtf8("label_11"))
-        self.horizontalLayout_4.addWidget(self.label_11)
-        self.label_8 = QtGui.QLabel(self.qRangeGroupBox)
-        self.label_8.setObjectName(_fromUtf8("label_8"))
-        self.horizontalLayout_4.addWidget(self.label_8)
-        self.maxQInput = QtGui.QLineEdit(self.qRangeGroupBox)
-        self.maxQInput.setEnabled(True)
-        self.maxQInput.setObjectName(_fromUtf8("maxQInput"))
-        self.horizontalLayout_4.addWidget(self.maxQInput)
-        self.label_9 = QtGui.QLabel(self.qRangeGroupBox)
-        self.label_9.setObjectName(_fromUtf8("label_9"))
-        self.horizontalLayout_4.addWidget(self.label_9)
-        self.gridLayout_3.addLayout(self.horizontalLayout_4, 0, 0, 1, 1)
-        self.verticalLayout_6.addWidget(self.qRangeGroupBox)
-        self.slitParamsGroupBox = QtGui.QGroupBox(self.tabMain)
-        self.slitParamsGroupBox.setObjectName(_fromUtf8("slitParamsGroupBox"))
-        self.gridLayout = QtGui.QGridLayout(self.slitParamsGroupBox)
-        self.gridLayout.setObjectName(_fromUtf8("gridLayout"))
-        self.horizontalLayout = QtGui.QHBoxLayout()
-        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))
-        self.label_3 = QtGui.QLabel(self.slitParamsGroupBox)
-        self.label_3.setObjectName(_fromUtf8("label_3"))
-        self.horizontalLayout.addWidget(self.label_3)
-        self.slitHeightInput = QtGui.QLineEdit(self.slitParamsGroupBox)
-        self.slitHeightInput.setEnabled(True)
-        self.slitHeightInput.setObjectName(_fromUtf8("slitHeightInput"))
-        self.horizontalLayout.addWidget(self.slitHeightInput)
-        self.label_6 = QtGui.QLabel(self.slitParamsGroupBox)
-        self.label_6.setObjectName(_fromUtf8("label_6"))
-        self.horizontalLayout.addWidget(self.label_6)
-        self.label_4 = QtGui.QLabel(self.slitParamsGroupBox)
-        self.label_4.setObjectName(_fromUtf8("label_4"))
-        self.horizontalLayout.addWidget(self.label_4)
-        self.slitWidthInput = QtGui.QLineEdit(self.slitParamsGroupBox)
-        self.slitWidthInput.setEnabled(True)
-        self.slitWidthInput.setObjectName(_fromUtf8("slitWidthInput"))
-        self.horizontalLayout.addWidget(self.slitWidthInput)
-        self.label_2 = QtGui.QLabel(self.slitParamsGroupBox)
-        self.label_2.setObjectName(_fromUtf8("label_2"))
-        self.horizontalLayout.addWidget(self.label_2)
-        self.gridLayout.addLayout(self.horizontalLayout, 0, 0, 1, 1)
-        self.verticalLayout_6.addWidget(self.slitParamsGroupBox)
-        self.paramGroupBox = QtGui.QGroupBox(self.tabMain)
-        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
-        sizePolicy.setHorizontalStretch(0)
-        sizePolicy.setVerticalStretch(0)
-        sizePolicy.setHeightForWidth(self.paramGroupBox.sizePolicy().hasHeightForWidth())
-        self.paramGroupBox.setSizePolicy(sizePolicy)
-        self.paramGroupBox.setObjectName(_fromUtf8("paramGroupBox"))
-        self.gridLayout_8 = QtGui.QGridLayout(self.paramGroupBox)
-        self.gridLayout_8.setObjectName(_fromUtf8("gridLayout_8"))
-        self.label_13 = QtGui.QLabel(self.paramGroupBox)
-        self.label_13.setObjectName(_fromUtf8("label_13"))
-        self.gridLayout_8.addWidget(self.label_13, 1, 0, 1, 1)
-        self.noOfTermsSuggestionButton = QtGui.QPushButton(self.paramGroupBox)
-        self.noOfTermsSuggestionButton.setEnabled(False)
-        self.noOfTermsSuggestionButton.setText(_fromUtf8(""))
-        self.noOfTermsSuggestionButton.setObjectName(_fromUtf8("noOfTermsSuggestionButton"))
-        self.gridLayout_8.addWidget(self.noOfTermsSuggestionButton, 0, 2, 1, 1)
-        self.explorerButton = QtGui.QPushButton(self.paramGroupBox)
-        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
-        sizePolicy.setHorizontalStretch(0)
-        sizePolicy.setVerticalStretch(0)
-        sizePolicy.setHeightForWidth(self.explorerButton.sizePolicy().hasHeightForWidth())
-        self.explorerButton.setSizePolicy(sizePolicy)
-        self.explorerButton.setLayoutDirection(QtCore.Qt.LeftToRight)
-        self.explorerButton.setObjectName(_fromUtf8("explorerButton"))
-        self.gridLayout_8.addWidget(self.explorerButton, 2, 2, 1, 1)
-        self.noOfTermsInput = QtGui.QLineEdit(self.paramGroupBox)
-        self.noOfTermsInput.setObjectName(_fromUtf8("noOfTermsInput"))
-        self.gridLayout_8.addWidget(self.noOfTermsInput, 0, 1, 1, 1)
-        self.maxDistanceInput = QtGui.QLineEdit(self.paramGroupBox)
-        self.maxDistanceInput.setObjectName(_fromUtf8("maxDistanceInput"))
-        self.gridLayout_8.addWidget(self.maxDistanceInput, 2, 1, 1, 1)
-        self.label_12 = QtGui.QLabel(self.paramGroupBox)
-        self.label_12.setObjectName(_fromUtf8("label_12"))
-        self.gridLayout_8.addWidget(self.label_12, 0, 0, 1, 1)
-        self.regConstantSuggestionButton = QtGui.QPushButton(self.paramGroupBox)
-        self.regConstantSuggestionButton.setEnabled(False)
-        self.regConstantSuggestionButton.setText(_fromUtf8(""))
-        self.regConstantSuggestionButton.setObjectName(_fromUtf8("regConstantSuggestionButton"))
-        self.gridLayout_8.addWidget(self.regConstantSuggestionButton, 1, 2, 1, 1)
-        self.label_14 = QtGui.QLabel(self.paramGroupBox)
-        self.label_14.setObjectName(_fromUtf8("label_14"))
-        self.gridLayout_8.addWidget(self.label_14, 2, 0, 1, 1)
-        self.regularizationConstantInput = QtGui.QLineEdit(self.paramGroupBox)
-        self.regularizationConstantInput.setObjectName(_fromUtf8("regularizationConstantInput"))
-        self.gridLayout_8.addWidget(self.regularizationConstantInput, 1, 1, 1, 1)
-        self.verticalLayout_6.addWidget(self.paramGroupBox)
-        self.verticalLayout_6.setStretch(1, 1)
-        self.verticalLayout_6.setStretch(2, 1)
-        self.PrTabWidget.addTab(self.tabMain, _fromUtf8(""))
-        self.tabOptions = QtGui.QWidget()
-        self.tabOptions.setObjectName(_fromUtf8("tabOptions"))
-        self.gridLayout_6 = QtGui.QGridLayout(self.tabOptions)
-        self.gridLayout_6.setObjectName(_fromUtf8("gridLayout_6"))
-        self.outputsGroupBox = QtGui.QGroupBox(self.tabOptions)
-        self.outputsGroupBox.setObjectName(_fromUtf8("outputsGroupBox"))
-        self.gridLayout_4 = QtGui.QGridLayout(self.outputsGroupBox)
-        self.gridLayout_4.setObjectName(_fromUtf8("gridLayout_4"))
-        self.label_23 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_23.setAlignment(QtCore.Qt.AlignCenter)
-        self.label_23.setObjectName(_fromUtf8("label_23"))
-        self.gridLayout_4.addWidget(self.label_23, 0, 1, 1, 1)
-        self.label_28 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_28.setObjectName(_fromUtf8("label_28"))
-        self.gridLayout_4.addWidget(self.label_28, 0, 2, 1, 1)
-        self.oscillationValue = QtGui.QLineEdit(self.outputsGroupBox)
-        self.oscillationValue.setEnabled(False)
-        self.oscillationValue.setObjectName(_fromUtf8("oscillationValue"))
-        self.gridLayout_4.addWidget(self.oscillationValue, 6, 1, 1, 1)
-        self.label_17 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_17.setObjectName(_fromUtf8("label_17"))
-        self.gridLayout_4.addWidget(self.label_17, 3, 0, 1, 1)
-        self.posFractionValue = QtGui.QLineEdit(self.outputsGroupBox)
-        self.posFractionValue.setEnabled(False)
-        self.posFractionValue.setObjectName(_fromUtf8("posFractionValue"))
-        self.gridLayout_4.addWidget(self.posFractionValue, 7, 1, 1, 1)
-        self.label_25 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_25.setObjectName(_fromUtf8("label_25"))
-        self.gridLayout_4.addWidget(self.label_25, 2, 2, 1, 1)
-        self.backgroundValue = QtGui.QLineEdit(self.outputsGroupBox)
-        self.backgroundValue.setEnabled(False)
-        self.backgroundValue.setObjectName(_fromUtf8("backgroundValue"))
-        self.gridLayout_4.addWidget(self.backgroundValue, 3, 1, 1, 1)
-        self.label_15 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_15.setObjectName(_fromUtf8("label_15"))
-        self.gridLayout_4.addWidget(self.label_15, 1, 0, 1, 1)
-        self.label_24 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_24.setObjectName(_fromUtf8("label_24"))
-        self.gridLayout_4.addWidget(self.label_24, 1, 2, 1, 1)
-        self.label_20 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_20.setObjectName(_fromUtf8("label_20"))
-        self.gridLayout_4.addWidget(self.label_20, 6, 0, 1, 1)
-        self.label_18 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_18.setObjectName(_fromUtf8("label_18"))
-        self.gridLayout_4.addWidget(self.label_18, 4, 0, 1, 1)
-        self.label_27 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_27.setObjectName(_fromUtf8("label_27"))
-        self.gridLayout_4.addWidget(self.label_27, 4, 2, 1, 1)
-        self.label_16 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_16.setObjectName(_fromUtf8("label_16"))
-        self.gridLayout_4.addWidget(self.label_16, 2, 0, 1, 1)
-        self.label_26 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_26.setObjectName(_fromUtf8("label_26"))
-        self.gridLayout_4.addWidget(self.label_26, 3, 2, 1, 1)
-        self.label_22 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_22.setObjectName(_fromUtf8("label_22"))
-        self.gridLayout_4.addWidget(self.label_22, 0, 0, 1, 1)
-        self.label_29 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_29.setObjectName(_fromUtf8("label_29"))
-        self.gridLayout_4.addWidget(self.label_29, 8, 0, 1, 1)
-        self.iQ0Value = QtGui.QLineEdit(self.outputsGroupBox)
-        self.iQ0Value.setEnabled(False)
-        self.iQ0Value.setObjectName(_fromUtf8("iQ0Value"))
-        self.gridLayout_4.addWidget(self.iQ0Value, 2, 1, 1, 1)
-        self.label_19 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_19.setObjectName(_fromUtf8("label_19"))
-        self.gridLayout_4.addWidget(self.label_19, 5, 0, 1, 1)
-        self.rgValue = QtGui.QLineEdit(self.outputsGroupBox)
-        self.rgValue.setEnabled(False)
-        self.rgValue.setObjectName(_fromUtf8("rgValue"))
-        self.gridLayout_4.addWidget(self.rgValue, 1, 1, 1, 1)
-        self.chiDofValue = QtGui.QLineEdit(self.outputsGroupBox)
-        self.chiDofValue.setEnabled(False)
-        self.chiDofValue.setObjectName(_fromUtf8("chiDofValue"))
-        self.gridLayout_4.addWidget(self.chiDofValue, 5, 1, 1, 1)
-        self.computationTimeValue = QtGui.QLineEdit(self.outputsGroupBox)
-        self.computationTimeValue.setEnabled(False)
-        self.computationTimeValue.setObjectName(_fromUtf8("computationTimeValue"))
-        self.gridLayout_4.addWidget(self.computationTimeValue, 4, 1, 1, 1)
-        self.label_21 = QtGui.QLabel(self.outputsGroupBox)
-        self.label_21.setObjectName(_fromUtf8("label_21"))
-        self.gridLayout_4.addWidget(self.label_21, 7, 0, 1, 1)
-        self.sigmaPosFractionValue = QtGui.QLineEdit(self.outputsGroupBox)
-        self.sigmaPosFractionValue.setEnabled(False)
-        self.sigmaPosFractionValue.setObjectName(_fromUtf8("sigmaPosFractionValue"))
-        self.gridLayout_4.addWidget(self.sigmaPosFractionValue, 8, 1, 1, 1)
-        self.gridLayout_6.addWidget(self.outputsGroupBox, 0, 0, 1, 1)
-        spacerItem2 = QtGui.QSpacerItem(20, 40, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Expanding)
-        self.gridLayout_6.addItem(spacerItem2, 1, 0, 1, 1)
-        self.PrTabWidget.addTab(self.tabOptions, _fromUtf8(""))
-        self.gridLayout_7.addWidget(self.PrTabWidget, 1, 0, 1, 1)
-
-        self.retranslateUi(PrInversion)
-        self.PrTabWidget.setCurrentIndex(0)
-        QtCore.QMetaObject.connectSlotsByName(PrInversion)
-
-    def retranslateUi(self, PrInversion):
-        PrInversion.setWindowTitle(_translate("PrInversion", "P(r) Inversion", None))
-        self.calculateThisButton.setText(_translate("PrInversion", "Calculate", None))
-        self.calculateAllButton.setText(_translate("PrInversion", "Calculate All", None))
-        self.helpButton.setText(_translate("PrInversion", "Help", None))
-        self.dataSourceGroupBox.setTitle(_translate("PrInversion", "I(q) data source", None))
-        self.label_5.setText(_translate("PrInversion", "Background Level:", None))
-        self.backgroundInput.setText(_translate("PrInversion", "0.0", None))
-        self.label_10.setText(_translate("PrInversion", "<html><head/><body><p>Ã
-<span style=\" vertical-align:super;\">-1</span></p></body></html>", None))
-        self.estimateBgd.setText(_translate("PrInversion", "Estimate", None))
-        self.manualBgd.setText(_translate("PrInversion", "Manual Input", None))
-        self.label.setText(_translate("PrInversion", "Data File Name:", None))
-        self.qRangeGroupBox.setTitle(_translate("PrInversion", "Total Q range", None))
-        self.label_7.setText(_translate("PrInversion", "Min:", None))
-        self.label_11.setText(_translate("PrInversion", "<html><head/><body><p>Ã
-<span style=\" vertical-align:super;\">-1</span></p></body></html>", None))
-        self.label_8.setText(_translate("PrInversion", "Max:", None))
-        self.label_9.setText(_translate("PrInversion", "<html><head/><body><p>Ã
-<span style=\" vertical-align:super;\">-1</span></p></body></html>", None))
-        self.slitParamsGroupBox.setTitle(_translate("PrInversion", "Slit Parameters", None))
-        self.label_3.setText(_translate("PrInversion", "Height", None))
-        self.label_6.setText(_translate("PrInversion", "<html><head/><body><p>Ã
-<span style=\" vertical-align:super;\">-1</span></p></body></html>", None))
-        self.label_4.setText(_translate("PrInversion", "Width", None))
-        self.label_2.setText(_translate("PrInversion", "<html><head/><body><p>Ã
-<span style=\" vertical-align:super;\">-1</span></p></body></html>", None))
-        self.paramGroupBox.setToolTip(_translate("PrInversion", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
-"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
-"p, li { white-space: pre-wrap; }\n"
-"</style></head><body style=\" font-family:\'MS Shell Dlg 2\'; font-size:8pt; font-weight:400; font-style:normal;\">\n"
-"<pre style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;><span style=\" font-family:\'Courier New\'; font-size:9pt; color:#000000;\">P(r) is found by fitting a set of base functions to I(Q). The minimization involves a regularization term to ensure a smooth P(r). The regularization constant gives the size of that term. The suggested value is the value above which the output P(r) will have only one peak.</span></pre></body></html>", None))
-        self.paramGroupBox.setTitle(_translate("PrInversion", "Parameters", None))
-        self.label_13.setText(_translate("PrInversion", "Regularization constant", None))
-        self.explorerButton.setToolTip(_translate("PrInversion", "<html><head/><body><p>Open the D<span style=\" vertical-align:sub;\">max</span> explorer window.</p></body></html>", None))
-        self.explorerButton.setText(_translate("PrInversion", "Explore", None))
-        self.label_12.setText(_translate("PrInversion", "Number of Terms", None))
-        self.label_14.setText(_translate("PrInversion", "Max distance [Ã
-]", None))
-        self.PrTabWidget.setTabText(self.PrTabWidget.indexOf(self.tabMain), _translate("PrInversion", "P(r) Parameters", None))
-        self.outputsGroupBox.setTitle(_translate("PrInversion", "Outputs", None))
-        self.label_23.setText(_translate("PrInversion", "Calculated Value", None))
-        self.label_28.setText(_translate("PrInversion", "Units", None))
-        self.label_17.setText(_translate("PrInversion", "Background", None))
-        self.label_25.setText(_translate("PrInversion", "Ã
--1", None))
-        self.label_15.setText(_translate("PrInversion", "Rg", None))
-        self.label_24.setText(_translate("PrInversion", "Ã
-", None))
-        self.label_20.setText(_translate("PrInversion", "Oscillations", None))
-        self.label_18.setText(_translate("PrInversion", "Computation Time", None))
-        self.label_27.setText(_translate("PrInversion", "secs", None))
-        self.label_16.setText(_translate("PrInversion", "I(Q=0)", None))
-        self.label_26.setText(_translate("PrInversion", "Ã
--1", None))
-        self.label_22.setText(_translate("PrInversion", "Parameter", None))
-        self.label_29.setText(_translate("PrInversion", "1-sigma positive fraction", None))
-        self.label_19.setText(_translate("PrInversion", "Chi^2/dof", None))
-        self.label_21.setText(_translate("PrInversion", "Positive Fraction", None))
-        self.PrTabWidget.setTabText(self.PrTabWidget.indexOf(self.tabOptions), _translate("PrInversion", "Outputs", None))
-