Index: src/sas/perspectives/calculator/media/resolution_calculator_help.rst
===================================================================
--- src/sas/perspectives/calculator/media/resolution_calculator_help.rst	(revision bc9a0e11f76683605d91930656c48ca4380753e7)
+++ src/sas/perspectives/calculator/media/resolution_calculator_help.rst	(revision 850c75365c9fb699039ea0628989a481bb0bfff1)
@@ -23,5 +23,5 @@
 ------
 
-1) Select *SAS Resolution Esimator* from the *Tool* menu on the SasView toolbar.
+1) Select *SAS Resolution Estimator* from the *Tool* menu on the SasView toolbar.
 
 2) Select the source (Neutron or Photon) and source type (Monochromatic or TOF).
@@ -33,5 +33,5 @@
    careful to note that distances are specified in cm!
 
-4) Enter values for the source wavelength(s) and its spread (= FWHM / wavelength).
+4) Enter values for the source wavelength(s), |lambda|\ , and its spread (= FWHM/|lambda|\ ).
    
    For monochromatic sources, the inputs are just one value. For TOF sources, 
@@ -62,5 +62,5 @@
    region near the beam block/stop 
 
-   [ie., Q < 2*|pi|\*(beam block diameter) / (sample-to-detector distance) / |lambda|\_min] 
+   [ie., Q < 2. |pi|\ .(beam block diameter) / (sample-to-detector distance) / |lambda|\_min] 
 
    the variance is slightly under estimated.
Index: src/sas/perspectives/calculator/media/sas_calculator_help.rst
===================================================================
--- src/sas/perspectives/calculator/media/sas_calculator_help.rst	(revision ec392464eef959a5c2e87e6a72ed72fd7e947a07)
+++ src/sas/perspectives/calculator/media/sas_calculator_help.rst	(revision 850c75365c9fb699039ea0628989a481bb0bfff1)
@@ -17,40 +17,59 @@
 ==================================
 
-Polarization and Magnetic Scattering
+Nuclear_Scattering_
 
-Theory_ 
-GUI_ 
-PDB_Data_ 
+Magnetic_Scattering_Polarisation_
+
+Using_the_SAS_Calculator_GUI_
+
+Using_PDB_Data_
 
 .. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
 
-.. _Theory:
+.. _Nuclear_Scattering:
 
-Theory
-------
+Nuclear Scattering
+------------------
 
-In general, a particle with a volume V can be described by an ensemble 
-containing N 3-dimensional rectangular pixels where each pixels are much 
-smaller than V. Assuming that all the pixel sizes are same, the elastic 
-scattering intensity by the particle
+In general, a particle with a volume *V* can be described by an ensemble 
+containing *N* 3-dimensional rectangular pixels where each pixel is much 
+smaller than *V*.
+
+Assuming that all the pixel sizes are the same, the elastic scattering 
+intensity from the particle is
 
 .. image:: gen_i.gif
 
-where /beta/jand rj are the scattering length density and the position of the 
-j'th pixel respectively. And the total volume
+Equation 1.
+
+where |beta|\ :sub:`j` and *r*\ :sub:`j` are the scattering length density and 
+the position of the j'th pixel respectively.
+
+The total volume *V*
 
 .. image:: v_j.gif
 
-for /beta/j/noteql/0 where vj is the volume of the j'th pixel (or the j'th 
-natural atomic volume (= atomic mass/natural molar density/Avogadro number) for 
-the atomic structures). The total volume V can be corrected by users. This 
-correction is useful especially for an atomic structure (taken from a pdb file) 
-to get the right normalization. Note that the /beta/j displayed in GUI may be 
-incorrect but will not affect the scattering computation if the correction of 
-the total volume is made. The scattering length density (SLD) of each pixel 
-where the SLD is uniform, is a combination of the nuclear and magnetic SLDs and 
-depends on the spin states of the neutrons as follows:For magnetic scattering, 
-only the magnetization component, *M*perp, perpendicular to the scattering 
-vector *Q* contributes to the the magnetic scattering length. (Figure below).
+for |beta|\ :sub:`j` |noteql|\0 where *v*\ :sub:`j` is the volume of the j'th 
+pixel (or the j'th natural atomic volume (= atomic mass / (natural molar 
+density * Avogadro number) for the atomic structures).
+
+*V* can be corrected by users. This correction is useful especially for an 
+atomic structure (such as taken from a PDB file) to get the right normalization. 
+
+*NOTE!* |beta|\ :sub:`j` *displayed in the GUI may be incorrect but this will not 
+affect the scattering computation if the correction of the total volume V is made.*
+
+The scattering length density (SLD) of each pixel, where the SLD is uniform, is 
+a combination of the nuclear and magnetic SLDs and depends on the spin states 
+of the neutrons as follows.
+
+.. _Magnetic_Scattering_Polarisation:
+
+Magnetic Scattering & Polarisation
+----------------------------------
+
+For magnetic scattering, only the magnetization component, *M*\ :sub:`perp`\ , 
+perpendicular to the scattering vector *Q* contributes to the magnetic 
+scattering length.
 
 .. image:: mag_vector.bmp
@@ -60,29 +79,32 @@
 .. image:: dm_eq.gif
 
-where /gamma/= -1.913 the gyromagnetic ratio, /mu/B is the Bohr magneton, r0 is 
-the classical radius of electron, and */sigma/* is the Pauli spin.
+where the gyromagnetic ratio |gamma| = -1.913, |mu|\ :sub:`B` is the Bohr 
+magneton, *r*\ :sub:`0` is the classical radius of electron, and |sigma| is the 
+Pauli spin.
 
-For polarized neutron, the magnetic scattering is depending on the spin states.
+For a polarized neutron, the magnetic scattering is depending on the spin states.
 
-Let's consider that the incident neutrons are polarised parallel (+)/ 
-anti-parallel (-) to the x' axis (See both Figures above). The possible 
-out-coming states then are + and - states for both incident states, where 
+Let us consider that the incident neutrons are polarised both parallel (+) and  
+anti-parallel (-) to the x' axis (see below). The possible states after 
+scattering from the sample are then 
 
-- Non-spin flips: (+ +) and (- -)
-- Spin flips:     (+ -) and (- +)
+*  Non-spin flips: (+ +) and (- -)
+*  Spin flips:     (+ -) and (- +)
 
 .. image:: gen_mag_pic.bmp
 
-Now, let's assume that the angles of the *Q*  vector and the spin-axis (x') 
-from x-axis are /phi/ and /theta/up respectively (See Figure above). Then, 
+Now let us assume that the angles of the *Q* vector and the spin-axis (x') 
+to the x-axis are |phi| and |theta|\ :sub:`up` respectively (see above). Then, 
 depending upon the polarization (spin) state of neutrons, the scattering 
-length densities, including the nuclear scattering length density (/beta/N) 
-are given as, for non-spin-flips
+length densities, including the nuclear scattering length density (|beta|\ :sub:`N`\ ) 
+are given as
 
-.. image:: sld1.gif
+*  for non-spin-flips
 
-and for spin-flips
+   .. image:: sld1.gif
 
-.. image:: sld2.gif
+*  for spin-flips
+
+   .. image:: sld2.gif
 
 where
@@ -98,49 +120,58 @@
 .. image:: mqy.gif
 
-Here, the M0x, M0yand M0zare the x, y and z components of the magnetisation 
-vector given in the xyz lab frame. 
+Here the *M0*\ :sub:`x`\ , *M0*\ :sub:`y` and *M0*\ :sub:`z` are the x, y and z 
+components of the magnetisation vector in the laboratory xyz frame. 
 
 .. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
 
-.. _GUI:
+.. _Using_the_SAS_Calculator_GUI:
 
-GUI
----
+Using the SAS Calculator GUI
+----------------------------
 
 .. image:: gen_gui_help.bmp
 
-After the computation, the result will be listed in the 'Theory' box in the 
-data explorer panel on the main window.The 'Up_frac_in' and 'Up_frac_out' are 
-the ratio, (spin up) /(spin up + spin down) neutrons before the sample and at 
-the analyzer, respectively.
+After computation the result will appear in the *Theory* box in the SasView  
+*Data Explorer* panel.
 
-*Note I: The values of 'Up_frac_in' and 'Up_frac_out' must be in the range 
-between 0 and 1. For example, both values are 0.5 for unpolarized neutrons.*
+*Up_frac_in* and *Up_frac_out* are the ratio 
 
-*Note II: This computation is totally based on the pixel (or atomic) data 
-fixed in the xyz coordinates. Thus no angular orientational averaging is 
-considered.*
+   (spin up) / (spin up + spin down)
+   
+of neutrons before the sample and at the analyzer, respectively.
 
-*Note III: For the nuclear scattering length density, only the real component 
+*NOTE 1. The values of* Up_frac_in *and* Up_frac_out *must be in the range 
+0.0 to 1.0. Both values are 0.5 for unpolarized neutrons.*
+
+*NOTE 2. This computation is totally based on the pixel (or atomic) data fixed 
+in xyz coordinates. No angular orientational averaging is considered.*
+
+*NOTE 3. For the nuclear scattering length density, only the real component 
 is taken account.*
 
 .. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
 
-.. _PDB_Data:
+.. _Using_PDB_Data:
 
-PDB Data
---------
+Using PDB Data
+--------------
 
-This Generic scattering calculator also supports some pdb files without 
-considering polarized/magnetic scattering so that the related parameters 
-such as Up_*** will be ignored (see the Picture below). The calculation for 
-fixed orientation uses (the first) Equation above resulting in a 2D output, 
-whileas the scattering calculation averaged over all the orientations uses 
-the Debye equation providing a 1D output
+The SAS Calculator tool can read some PDB, OMF or SLD files but ignores 
+polarized/magnetic scattering when doing so, thus related parameters such as 
+*Up_frac_in*, etc, will be ignored.
+
+The calculation for fixed orientation uses Equation 1 above resulting in a 2D 
+output, whereas the scattering calculation averaged over all the orientations 
+uses the Debye equation below providing a 1D output
 
 .. image:: gen_debye_eq.gif
 
-where vj /beta/j /equiv/ bj the scattering length of the j'th atom. The resultant outputs 
-will be displayed in the DataExplorer for further uses.
+where *v*\ :sub:`j` |beta|\ :sub:`j` |equiv| *b*\ :sub:`j` is the scattering 
+length of the j'th atom. The calculation output is passed to the *Data Explorer* 
+for further use.
 
 .. image:: pdb_combo.jpg
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Steve King, 19Feb2015
Index: src/sas/perspectives/calculator/media/sld_calculator_help.rst
===================================================================
--- src/sas/perspectives/calculator/media/sld_calculator_help.rst	(revision ec392464eef959a5c2e87e6a72ed72fd7e947a07)
+++ src/sas/perspectives/calculator/media/sld_calculator_help.rst	(revision 850c75365c9fb699039ea0628989a481bb0bfff1)
@@ -14,5 +14,5 @@
 The neutron scattering length density is defined as
 
-SLD = (b_c1 + b_c2 + ... + b_cn) / Vm
+  SLD = (b_c1 + b_c2 + ... + b_cn) / Vm
 
 where 
@@ -31,4 +31,6 @@
 Entering a wavelength value is optional (a default value of 6.0 |Ang| will 
 be used).
+
+TIPS!
 
 *  Formula strings consist of atoms and the number of them, such as "CaCO3+6H2O".
@@ -52,2 +54,7 @@
 *  Type "C[13]6 H[2]12 O[18]6" for C(13)6H(2)12O(18)6 (6 Carbon-13 atoms, 12 
    deuterium atoms, and 6 Oxygen-18 atoms).
+   
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Steve King, 19Feb2015
+