Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision c17760d165e06766dc0342b5c2b096554920c22c)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 857d00f6d51e494d0967a8b4684229a7fc70349d)
@@ -430,4 +430,12 @@
         self._slicerpop.AppendSeparator()
         
+        id = wx.NewId()
+        self._slicerpop.Append(id, '&Modify Y Axis Label')
+        wx.EVT_MENU(self, id, self._on_yaxis_label)     
+        id = wx.NewId()
+        self._slicerpop.Append(id, '&Modify X Axis Label')
+        wx.EVT_MENU(self, id, self._on_xaxis_label)
+        self._slicerpop.AppendSeparator()
+        
         if self.position != None:
             id = wx.NewId()
@@ -437,7 +445,9 @@
             self._slicerpop.Append(id, '&Remove Text')
             wx.EVT_MENU(self, id, self._on_removetext)
+            self._slicerpop.AppendSeparator()
         id = wx.NewId()
         self._slicerpop.Append(id, '&Change Scale')
         wx.EVT_MENU(self, id, self._onProperties)
+        self._slicerpop.AppendSeparator()
         id = wx.NewId()
         self._slicerpop.Append(id, '&Reset Graph')
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py	(revision c17760d165e06766dc0342b5c2b096554920c22c)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 857d00f6d51e494d0967a8b4684229a7fc70349d)
@@ -176,5 +176,5 @@
         yhi = None
         ## Update self.data2d with the current plot
-        
+        self.data2D = data
         if data.id in self.plots.keys():
             #replace
@@ -201,6 +201,9 @@
                 data._xunit = 'pixel'
                 data._yunit = 'pixel'
+        
+        # graph properties
         self.graph.xaxis(data._xaxis, data._xunit)
         self.graph.yaxis(data._yaxis, data._yunit)
+            
         data.label = self.title_label
         
@@ -211,6 +214,7 @@
             self.graph.title(data.label)
             self.graph.render(self)
+            # Set the axis labels on subplot
+            self._set_axis_labels()
             self.draw_plot()
-            
         else:
             self.graph.render(self)
@@ -221,5 +225,5 @@
             self.subplot.figure.canvas.draw_idle() 
         
-        self.data2D = data
+        
         ## store default value of zmin and zmax 
         self.default_zmin_ctl = self.zmin_2D
@@ -233,5 +237,27 @@
             else: 
                 self.toolbar.update()
-
+    def _set_axis_labels(self):
+        """
+        Set axis labels
+        """
+        data = self.data2D
+        # control axis labels from the panel itself
+        yname, yunits = data.get_yaxis()
+        if self.yaxis_label != None:
+            yname = self.yaxis_label
+            yunits = self.yaxis_unit
+        else:
+            self.yaxis_label = yname
+            self.yaxis_unit = yunits
+        xname, xunits = data.get_xaxis()
+        if self.xaxis_label != None:
+            xname = self.xaxis_label
+            xunits = self.xaxis_unit
+        else:
+            self.xaxis_label = xname
+            self.xaxis_unit = xunits
+        self.xaxis(xname, xunits, self.xaxis_font, self.xaxis_color)
+        self.yaxis(yname, yunits, self.yaxis_font, self.yaxis_color)
+        
     def onContextMenu(self, event):
         """
@@ -327,6 +353,16 @@
         
         id = wx.NewId()
+        slicerpop.Append(id, '&Modify Y Axis Label')
+        wx.EVT_MENU(self, id, self._on_yaxis_label)     
+        id = wx.NewId()
+        slicerpop.Append(id, '&Modify X Axis Label')
+        wx.EVT_MENU(self, id, self._on_xaxis_label)
+        slicerpop.AppendSeparator()
+        
+        id = wx.NewId()
         slicerpop.Append(id, '&2D Color Map')
         wx.EVT_MENU(self, id, self._onEditDetector)
+        slicerpop.AppendSeparator()
+        
         id = wx.NewId()
         slicerpop.Append(id, '&Toggle Linear/Log Scale')