Index: sansmodels/src/sans/models/test/ParallelepipedModel_avg.txt
===================================================================
--- sansmodels/src/sans/models/test/ParallelepipedModel_avg.txt	(revision 8e36cddc31aee946bb051c6a6d4eade849ca2ed4)
+++ sansmodels/src/sans/models/test/ParallelepipedModel_avg.txt	(revision 861a2d319586bc15dff1cc29da8013efd2e2df76)
@@ -1,40 +1,23 @@
 <q_average> <2d_average> <1d_average>
-      0.01    1725.91    1726.27
-      0.02    844.857     845.19
-      0.03    512.535    512.824
-      0.04    320.226    320.463
-      0.05    200.934    201.119
-      0.06    126.006    126.142
-      0.07    77.5009    77.5985
-      0.08    47.8653    47.9338
-      0.09     30.465    30.5136
-       0.1    19.9904     20.026
-      0.11    13.8118    13.8388
-      0.12     9.7314     9.7521
-      0.13    6.59526    6.61053
-      0.14    4.24325    4.25362
-      0.15    2.42938    2.43556
-      0.16    1.17861    1.18168
-      0.17   0.547176    0.54844
-      0.18    0.30821   0.308673
-      0.19   0.339807    0.33912
-       0.2   0.495962     0.4905
-      0.21    0.60034   0.582884
-      0.22   0.648638   0.614215
-      0.23   0.630062   0.582034
-      0.24   0.554903   0.499162
-      0.25   0.501067   0.439671
-      0.26   0.468122   0.400928
-      0.27   0.449514   0.374445
-      0.28   0.445149   0.363161
-      0.29   0.411549   0.328163
-       0.3   0.345371   0.269387
-      0.31   0.261773   0.201769
-      0.32   0.165108   0.125196
-      0.33  0.0886511  0.0669448
-      0.34  0.0466287  0.0361501
-      0.35  0.0314074  0.0235842
-      0.36  0.0433855  0.0316342
-      0.37  0.0625163  0.0442813
-      0.38   0.073453   0.050116
-      0.39  0.0790395  0.0535744
+      0.01    1726.15    1726.27
+      0.02    844.977     845.19
+      0.03    512.608    512.824
+      0.04    320.271    320.463
+      0.05    200.963    201.119
+      0.06    126.024    126.142
+      0.07    77.5119    77.5985
+      0.08    47.8721    47.9338
+      0.09    30.4693    30.5136
+       0.1    19.9932     20.026
+      0.11    13.8137    13.8388
+      0.12    9.73278     9.7521
+      0.13    6.59619    6.61053
+      0.14    4.24385    4.25362
+      0.15    2.42973    2.43556
+      0.16    1.17877    1.18168
+      0.17   0.547226    0.54844
+      0.18   0.307981   0.308673
+      0.19   0.338138    0.33912
+       0.2   0.488894     0.4905
+      0.21    0.58072   0.582884
+      0.22   0.611786   0.614215
Index: sansmodels/src/sans/models/test/TriaxialEllipsoidModel_avg.txt
===================================================================
--- sansmodels/src/sans/models/test/TriaxialEllipsoidModel_avg.txt	(revision 8e36cddc31aee946bb051c6a6d4eade849ca2ed4)
+++ sansmodels/src/sans/models/test/TriaxialEllipsoidModel_avg.txt	(revision 861a2d319586bc15dff1cc29da8013efd2e2df76)
@@ -1,40 +1,40 @@
 <q_average> <2d_average> <1d_average>
-      0.01    6164.57    6166.44
-      0.02    2194.43    2195.78
-      0.03    874.092    874.921
-      0.04    373.102    373.577
-      0.05    180.232    180.513
-      0.06    92.2845    92.4552
-      0.07    45.6843    45.7821
-      0.08    22.4145     22.466
-      0.09    11.5733    11.5978
-       0.1    6.36235    6.34288
-      0.11    4.16701    4.01228
-      0.12    3.30499    3.12787
-      0.13    2.65935    2.62135
-      0.14    2.10192     2.1788
-      0.15    1.67028    1.77924
-      0.16    1.31569    1.37152
-      0.17    1.00186    0.99509
-      0.18   0.763725   0.718548
-      0.19   0.579733   0.531899
-       0.2    0.43648   0.412982
-      0.21   0.349758    0.35239
-      0.22   0.295571   0.319034
-      0.23   0.262257    0.28683
-      0.24   0.243974   0.253296
-      0.25    0.22178   0.216689
-      0.26   0.187983   0.176596
-      0.27   0.151557   0.141555
-      0.28   0.119923   0.115955
-      0.29  0.0961798  0.0978735
-       0.3  0.0831647  0.0869363
-      0.31   0.076784  0.0810271
-      0.32  0.0731715   0.075475
-      0.33  0.0690195  0.0688126
-      0.34  0.0626216  0.0614295
-      0.35  0.0544358  0.0530275
-      0.36  0.0462065  0.0448143
-      0.37  0.0395145  0.0384918
-      0.38   0.034362  0.0339966
-      0.39  0.0306087   0.031047
+      0.01    6165.45    6166.44
+      0.02    2194.74    2195.78
+      0.03    874.216    874.921
+      0.04    373.155    373.577
+      0.05    180.257    180.513
+      0.06    92.2976    92.4552
+      0.07    45.6908    45.7821
+      0.08    22.4177     22.466
+      0.09    11.5738    11.5978
+       0.1    6.33202    6.34288
+      0.11    4.00772    4.01228
+      0.12    3.12529    3.12787
+      0.13    2.61889    2.62135
+      0.14    2.17612     2.1788
+      0.15    1.77645    1.77924
+      0.16    1.36894    1.37152
+      0.17   0.993054    0.99509
+      0.18   0.717117   0.718548
+      0.19   0.530954   0.531899
+       0.2   0.412607   0.412982
+      0.21   0.352447    0.35239
+      0.22   0.318321   0.319034
+      0.23   0.286235    0.28683
+      0.24   0.253276   0.253296
+      0.25   0.215823   0.216689
+      0.26   0.175608   0.176596
+      0.27   0.142021   0.141555
+      0.28   0.117013   0.115955
+      0.29   0.097918  0.0978735
+       0.3  0.0857748  0.0869363
+      0.31  0.0797341  0.0810271
+      0.32  0.0751376   0.075475
+      0.33   0.069484  0.0688126
+      0.34  0.0623802  0.0614295
+      0.35  0.0534721  0.0530275
+      0.36  0.0443903  0.0448143
+      0.37  0.0376499  0.0384918
+      0.38  0.0332545  0.0339966
+      0.39   0.030798   0.031047