Index: sasview/test/nr_data/NR_Ni_down_state.txt
===================================================================
--- sasview/test/nr_data/NR_Ni_down_state.txt	(revision 867aa79418608623f77e1d053d556424aa190e06)
+++ sasview/test/nr_data/NR_Ni_down_state.txt	(revision 867aa79418608623f77e1d053d556424aa190e06)
@@ -0,0 +1,270 @@
+0.0135131  0.961716  0.0289101
+0.0136482  0.928560  0.0257264
+0.0137847  0.927453  0.0245886
+0.0139226  0.941584  0.0237276
+0.0140618  0.955294  0.0231578
+0.0142024  0.969653  0.0225102
+0.0143444  0.925495  0.0205497
+0.0144879  0.946830  0.0214205
+0.0146328  0.960356  0.0229919
+0.0147791  0.969672  0.0228891
+0.0149269  0.994970  0.0221259
+0.0150762  0.988369  0.0204817
+0.0152269  0.957256  0.0201544
+0.0153792  0.989881  0.0217797
+0.0155330  0.980922  0.0198305
+0.0156883  0.981569  0.0190783
+0.0158452  0.989446  0.0204594
+0.0160036  0.983710  0.0194286
+0.0161637  0.983005  0.0184112
+0.0163253  0.995114  0.0194257
+0.0164886  0.956886  0.0175143
+0.0166535  0.959668  0.0181797
+0.0168200  0.982260  0.0185512
+0.0169882  0.958189  0.0166085
+0.0171581  0.987396  0.0175854
+0.0173297  0.968367  0.0168996
+0.0175030  0.957182  0.0162304
+0.0176780  0.988894  0.0168458
+0.0178548  0.960474  0.0158700
+0.0180333  0.995827  0.0165555
+0.0182136  0.988815  0.0158878
+0.0183958  1.00000  0.0167942
+0.0185797  0.977605  0.0164546
+0.0187655  0.981470  0.0172425
+0.0189532  0.946679  0.0162052
+0.0191427  0.949973  0.0154345
+0.0193341  0.953328  0.0157336
+0.0195275  0.942870  0.0146470
+0.0197228  0.865491  0.0135139
+0.0199200  0.724828  0.0116757
+0.0201192  0.607757  0.00934533
+0.0203204  0.482825  0.00772872
+0.0205236  0.415805  0.00706963
+0.0207288  0.431391  0.00668147
+0.0209361  0.468545  0.00707058
+0.0211455  0.440465  0.00739142
+0.0213569  0.360291  0.00659603
+0.0215705  0.265286  0.00458124
+0.0217862  0.190373  0.00337329
+0.0220041  0.131369  0.00277100
+0.0222241  0.116842  0.00275864
+0.0224463  0.135662  0.00274717
+0.0226708  0.175561  0.00299595
+0.0228975  0.203123  0.00322181
+0.0231265  0.215788  0.00351678
+0.0233578  0.208668  0.00369891
+0.0235913  0.184629  0.00369386
+0.0238272  0.140462  0.00306832
+0.0240655  0.0956962  0.00220858
+0.0243062  0.0625630  0.00154711
+0.0245492  0.0427102  0.00111663
+0.0247947  0.0387433  0.000991448
+0.0250427  0.0446114  0.00103143
+0.0252931  0.0598101  0.00122246
+0.0255460  0.0789298  0.00149030
+0.0258015  0.0905049  0.00163303
+0.0260595  0.0953088  0.00171869
+0.0263201  0.0928272  0.00168653
+0.0265833  0.0802002  0.00149458
+0.0268491  0.0624360  0.00202876
+0.0271176  0.0475461  0.00106416
+0.0273888  0.0293066  0.000759623
+0.0276627  0.0177505  0.000549906
+0.0279393  0.0158879  0.000535357
+0.0282187  0.0195091  0.000635344
+0.0285009  0.0271216  0.000780177
+0.0287859  0.0357927  0.000946546
+0.0290738  0.0431081  0.00101791
+0.0293645  0.0483732  0.000976205
+0.0296582  0.0476611  0.000891638
+0.0299547  0.0434431  0.000841549
+0.0302543  0.0350126  0.000771050
+0.0305568  0.0249405  0.000608008
+0.0308624  0.0165013  0.000444320
+0.0311710  0.0102057  0.000353606
+0.0314827  0.00753721  0.000321873
+0.0317976  0.00745373  0.000306921
+0.0321155  0.0110146  0.000372374
+0.0324367  0.0164208  0.000453754
+0.0327611  0.0201040  0.000483163
+0.0330887  0.0225158  0.000530436
+0.0334196  0.0233820  0.000535194
+0.0337537  0.0212166  0.000455583
+0.0340913  0.0177449  0.000421772
+0.0344322  0.0128987  0.000342278
+0.0347765  0.00840363  0.000262032
+0.0351243  0.00520726  0.000199761
+0.0354755  0.00322697  0.000160004
+0.0358303  0.00396699  0.000175721
+0.0361886  0.00549414  0.000209278
+0.0365505  0.00795821  0.000263088
+0.0369160  0.0112167  0.000291701
+0.0372851  0.0117972  0.000329579
+0.0376580  0.0116843  0.000318453
+0.0380346  0.0102174  0.000281684
+0.0384149  0.00790020  0.000256543
+0.0387991  0.00572115  0.000193975
+0.0391871  0.00334086  0.000151395
+0.0395789  0.00241902  0.000126783
+0.0399747  0.00242089  0.000115682
+0.0403745  0.00298051  0.000151159
+0.0407782  0.00449386  0.000169450
+0.0411860  0.00559413  0.000171939
+0.0415978  0.00656132  0.000194755
+0.0420138  0.00615893  0.000197202
+0.0424340  0.00515349  0.000160442
+0.0428583  0.00367690  0.000131414
+0.0432869  0.00240650  0.000110371
+0.0437197  0.00136148  9.10878e-005
+0.0441569  0.00109911  7.49597e-005
+0.0445985  0.00148090  7.89773e-005
+0.0450445  0.00215200  9.46369e-005
+0.0454949  0.00288529  0.000119962
+0.0459499  0.00340265  0.000138753
+0.0464094  0.00302818  0.000138364
+0.0468735  0.00265330  0.000114874
+0.0473422  0.00186224  8.99007e-005
+0.0478156  0.00130027  6.88261e-005
+0.0482938  0.000729895  5.01516e-005
+0.0487767  0.000733598  5.29683e-005
+0.0492645  0.000965806  6.66057e-005
+0.0497571  0.00122742  8.04649e-005
+0.0502547  0.00188900  9.17640e-005
+0.0507573  0.00197926  9.69844e-005
+0.0512648  0.00194916  9.89258e-005
+0.0517775  0.00121589  7.89538e-005
+0.0522953  0.000764875  6.22980e-005
+0.0528182  0.000472794  4.84979e-005
+0.0533464  0.000506488  4.88253e-005
+0.0538799  0.000847941  4.51291e-005
+0.0544187  0.00109914  3.98390e-005
+0.0549628  0.00127840  4.34440e-005
+0.0555125  0.00127151  4.25206e-005
+0.0560676  0.00105505  3.97131e-005
+0.0566283  0.000656319  3.20738e-005
+0.0571946  0.000369127  2.30134e-005
+0.0577665  0.000256208  1.67293e-005
+0.0583442  0.000341549  1.80821e-005
+0.0589276  0.000525350  2.23722e-005
+0.0595169  0.000707067  2.80791e-005
+0.0601121  0.000732983  2.88039e-005
+0.0607132  0.000609604  2.44764e-005
+0.0613203  0.000402103  1.83544e-005
+0.0619335  0.000232529  1.48272e-005
+0.0625528  0.000159466  1.24213e-005
+0.0631784  0.000212669  1.31560e-005
+0.0638102  0.000301192  1.62700e-005
+0.0644483  0.000384585  1.80468e-005
+0.0650927  0.000392482  1.66049e-005
+0.0657437  0.000300217  1.54710e-005
+0.0664011  0.000174950  1.19922e-005
+0.0670651  0.000113914  8.40536e-006
+0.0677358  0.000129762  8.97984e-006
+0.0684131  0.000203802  1.11276e-005
+0.0690973  0.000261373  1.32348e-005
+0.0697882  0.000231401  1.18130e-005
+0.0704861  0.000189973  1.05043e-005
+0.0711910  0.000112650  7.75920e-006
+0.0719029  8.36777e-005  6.42533e-006
+0.0726219  9.53090e-005  6.92844e-006
+0.0733481  0.000129155  8.43305e-006
+0.0740816  0.000149337  9.16137e-006
+0.0748224  0.000142083  8.95509e-006
+0.0755707  0.000104498  8.11742e-006
+0.0763264  5.51500e-005  5.68376e-006
+0.0770896  4.56451e-005  4.60212e-006
+0.0778605  6.69216e-005  5.54031e-006
+0.0786391  0.000102127  6.83728e-006
+0.0794255  0.000109424  6.77086e-006
+0.0802198  7.91852e-005  6.01307e-006
+0.0810220  4.70756e-005  4.44617e-006
+0.0818322  3.45894e-005  3.60117e-006
+0.0826505  4.85846e-005  4.65928e-006
+0.0834770  6.54984e-005  5.05416e-006
+0.0843118  6.61836e-005  4.65011e-006
+0.0851549  5.40963e-005  4.45143e-006
+0.0860064  3.32253e-005  3.82976e-006
+0.0868665  2.77195e-005  3.22363e-006
+0.0877352  3.99215e-005  3.47155e-006
+0.0886125  4.85937e-005  3.86409e-006
+0.0894987  4.19518e-005  3.85924e-006
+0.0903936  2.93644e-005  3.51765e-006
+0.0912976  1.84919e-005  2.57534e-006
+0.0922106  2.28534e-005  2.60437e-006
+0.0931327  2.60631e-005  2.58705e-006
+0.0940640  3.32946e-005  2.96033e-006
+0.0950046  3.06952e-005  2.95997e-006
+0.0959547  1.96745e-005  2.49459e-006
+0.0969142  1.74632e-005  2.61927e-006
+0.0978834  2.36251e-005  2.99198e-006
+0.0988622  2.58019e-005  2.91423e-006
+0.0998508  2.28860e-005  2.61580e-006
+0.100849  1.83878e-005  2.18794e-006
+0.101858  1.84457e-005  2.11072e-006
+0.102876  1.86714e-005  2.00120e-006
+0.103905  2.19172e-005  2.15043e-006
+0.104944  1.99397e-005  2.04872e-006
+0.105994  1.63090e-005  1.80768e-006
+0.107054  1.58171e-005  1.75729e-006
+0.108124  1.68862e-005  1.78580e-006
+0.109205  1.74742e-005  1.85548e-006
+0.110297  1.36636e-005  1.69776e-006
+0.111400  1.13221e-005  1.48611e-006
+0.112514  1.58675e-005  1.83587e-006
+0.113640  1.80107e-005  2.12691e-006
+0.114776  1.38732e-005  1.96903e-006
+0.115924  1.43731e-005  2.17735e-006
+0.117083  1.21113e-005  1.96583e-006
+0.118254  1.20323e-005  1.74579e-006
+0.119436  1.39372e-005  1.70376e-006
+0.120631  1.26248e-005  1.43339e-006
+0.121837  1.18092e-005  1.33477e-006
+0.123055  1.29617e-005  1.41826e-006
+0.124286  1.39771e-005  1.69843e-006
+0.125529  1.10016e-005  1.74992e-006
+0.126784  1.12125e-005  1.77286e-006
+0.128052  1.13120e-005  1.49003e-006
+0.129332  1.26270e-005  1.34613e-006
+0.130626  1.35165e-005  1.35823e-006
+0.131932  1.25121e-005  1.59387e-006
+0.133251  6.50278e-006  1.30668e-006
+0.134584  9.58740e-006  1.43288e-006
+0.135930  9.51385e-006  1.12552e-006
+0.137289  9.11121e-006  1.10765e-006
+0.138662  8.82149e-006  1.38154e-006
+0.140048  9.66351e-006  1.52420e-006
+0.141449  9.53824e-006  1.18517e-006
+0.142863  9.40040e-006  1.09195e-006
+0.144292  9.20342e-006  1.44739e-006
+0.145735  7.99837e-006  1.40429e-006
+0.147192  8.42277e-006  1.08536e-006
+0.148664  8.17632e-006  1.11240e-006
+0.150151  7.03281e-006  1.33254e-006
+0.151652  5.72622e-006  1.04311e-006
+0.153169  6.51698e-006  9.04852e-007
+0.154701  7.76097e-006  1.40378e-006
+0.156248  4.49492e-006  1.07033e-006
+0.157810  7.04137e-006  9.64938e-007
+0.159388  9.37001e-006  1.53602e-006
+0.160982  5.36727e-006  1.20574e-006
+0.162592  6.28461e-006  9.28192e-007
+0.164218  7.18453e-006  1.40781e-006
+0.165860  5.42702e-006  1.19363e-006
+0.167519  6.21826e-006  9.48908e-007
+0.169194  7.50868e-006  1.47579e-006
+0.170886  5.88385e-006  1.09746e-006
+0.172595  5.63279e-006  1.08928e-006
+0.174321  6.17295e-006  1.39311e-006
+0.176064  5.90737e-006  9.81572e-007
+0.177824  5.69360e-006  1.37163e-006
+0.179603  7.94174e-006  1.48206e-006
+0.181399  7.79740e-006  1.37861e-006
+0.183213  5.91423e-006  1.43756e-006
+0.185045  5.62244e-006  1.00030e-006
+0.186895  5.28405e-006  1.37394e-006
+0.188764  6.66913e-006  1.22218e-006
+0.190652  7.24359e-006  1.63249e-006
+0.192558  5.17379e-006  1.27412e-006
+0.194484  5.19469e-006  1.25254e-006
+0.196429  7.03632e-006  1.64492e-006
Index: sasview/test/nr_data/NR_Ni_up_state.txt
===================================================================
--- sasview/test/nr_data/NR_Ni_up_state.txt	(revision 867aa79418608623f77e1d053d556424aa190e06)
+++ sasview/test/nr_data/NR_Ni_up_state.txt	(revision 867aa79418608623f77e1d053d556424aa190e06)
@@ -0,0 +1,271 @@
+0.0135131  0.890444  0.0262786
+0.0136482  0.935330  0.0259193
+0.0137847  0.937904  0.0247850
+0.0139226  0.920789  0.0227660
+0.0140618  0.900099  0.0212259
+0.0142024  0.945226  0.0217617
+0.0143444  0.951055  0.0212824
+0.0144879  0.957775  0.0219603
+0.0146328  0.928407  0.0220038
+0.0147791  0.938651  0.0220779
+0.0149269  0.942624  0.0203130
+0.0150762  0.968576  0.0203592
+0.0152269  0.963471  0.0204578
+0.0153792  1.00000  0.0218980
+0.0155330  0.956413  0.0192828
+0.0156883  0.967985  0.0189510
+0.0158452  0.983214  0.0204685
+0.0160036  0.975873  0.0191942
+0.0161637  0.970828  0.0180809
+0.0163253  0.953108  0.0182468
+0.0164886  0.965581  0.0177873
+0.0166535  0.992478  0.0190076
+0.0168200  0.958453  0.0179890
+0.0169882  0.992206  0.0176097
+0.0171581  0.955405  0.0168827
+0.0173297  0.921141  0.0155541
+0.0175030  0.945313  0.0160285
+0.0176780  0.968827  0.0161772
+0.0178548  0.963786  0.0157828
+0.0180333  0.976643  0.0159298
+0.0182136  0.997707  0.0161089
+0.0183958  0.999089  0.0167029
+0.0185797  0.958310  0.0159275
+0.0187655  0.957777  0.0166667
+0.0189532  0.958045  0.0163302
+0.0191427  0.975430  0.0158459
+0.0193341  0.997848  0.0166963
+0.0195275  0.988457  0.0152566
+0.0197228  0.956352  0.0148362
+0.0199200  0.961294  0.0151805
+0.0201192  0.944681  0.0133290
+0.0203204  0.950151  0.0139594
+0.0205236  0.952151  0.0144395
+0.0207288  0.962761  0.0136300
+0.0209361  0.952821  0.0129448
+0.0211455  0.935431  0.0142022
+0.0213569  0.931837  0.0145305
+0.0215705  0.934838  0.0129845
+0.0217862  0.919501  0.0121554
+0.0220041  0.917384  0.0131459
+0.0222241  0.912095  0.0137868
+0.0224463  0.900258  0.0129017
+0.0226708  0.863043  0.0110902
+0.0228975  0.804609  0.00998542
+0.0231265  0.702971  0.00907879
+0.0233578  0.582803  0.00835776
+0.0235913  0.499274  0.00813344
+0.0238272  0.457627  0.00737342
+0.0240655  0.457010  0.00685862
+0.0243062  0.414854  0.00597847
+0.0245492  0.321860  0.00451427
+0.0247947  0.231179  0.00323022
+0.0250427  0.178828  0.00254536
+0.0252931  0.173932  0.00250011
+0.0255460  0.208037  0.00293913
+0.0258015  0.243198  0.00334274
+0.0260595  0.253268  0.00347777
+0.0263201  0.226739  0.00310213
+0.0265833  0.183134  0.00264496
+0.0268491  0.118744  0.00277693
+0.0271176  0.0779644  0.00131408
+0.0273888  0.0534515  0.000960760
+0.0276627  0.0600233  0.00105750
+0.0279393  0.0860045  0.00137475
+0.0282187  0.114457  0.00172018
+0.0285009  0.132804  0.00195653
+0.0287859  0.135787  0.00207031
+0.0290738  0.122882  0.00186907
+0.0293645  0.0954101  0.00138548
+0.0296582  0.0639541  0.00100915
+0.0299547  0.0369641  0.000705270
+0.0302543  0.0230399  0.000556493
+0.0305568  0.0230098  0.000527283
+0.0308624  0.0336483  0.000635125
+0.0311710  0.0482873  0.000846293
+0.0314827  0.0609644  0.000983252
+0.0317976  0.0697305  0.00100906
+0.0321155  0.0677983  0.000970672
+0.0324367  0.0579627  0.000906563
+0.0327611  0.0427337  0.000702598
+0.0330887  0.0282752  0.000546546
+0.0334196  0.0159950  0.000389415
+0.0337537  0.0108447  0.000287468
+0.0340913  0.0126007  0.000322600
+0.0344322  0.0192608  0.000403920
+0.0347765  0.0267967  0.000510294
+0.0351243  0.0333365  0.000559690
+0.0354755  0.0371050  0.000596374
+0.0358303  0.0331868  0.000557501
+0.0361886  0.0280282  0.000478515
+0.0365505  0.0207209  0.000388521
+0.0369160  0.0121958  0.000300031
+0.0372851  0.00746941  0.000216308
+0.0376580  0.00586737  0.000190893
+0.0380346  0.00745861  0.000236754
+0.0384149  0.0120105  0.000311255
+0.0387991  0.0152087  0.000327587
+0.0391871  0.0183588  0.000388454
+0.0395789  0.0183722  0.000373042
+0.0399747  0.0168055  0.000316003
+0.0403745  0.0129610  0.000285392
+0.0407782  0.00760377  0.000220562
+0.0411860  0.00493496  0.000147263
+0.0415978  0.00296770  0.000122952
+0.0420138  0.00406351  0.000148090
+0.0424340  0.00592403  0.000174364
+0.0428583  0.00826475  0.000202906
+0.0432869  0.00974176  0.000239734
+0.0437197  0.0103830  0.000248928
+0.0441569  0.00835037  0.000215107
+0.0445985  0.00641313  0.000164260
+0.0450445  0.00378030  0.000119854
+0.0454949  0.00247600  9.51508e-005
+0.0459499  0.00194234  9.89274e-005
+0.0464094  0.00288153  0.000120924
+0.0468735  0.00389862  0.000132749
+0.0473422  0.00509683  0.000139483
+0.0478156  0.00545632  0.000142910
+0.0482938  0.00521387  0.000133907
+0.0487767  0.00423846  0.000120710
+0.0492645  0.00280647  9.49906e-005
+0.0497571  0.00195349  7.91897e-005
+0.0502547  0.00123686  7.18016e-005
+0.0507573  0.00161302  8.75042e-005
+0.0512648  0.00249490  0.000111290
+0.0517775  0.00333323  0.000127660
+0.0522953  0.00373402  0.000132958
+0.0528182  0.00310304  0.000119289
+0.0533464  0.00233205  0.000103688
+0.0538799  0.00137475  5.84675e-005
+0.0544187  0.000862859  3.47591e-005
+0.0549628  0.000794436  3.22238e-005
+0.0555125  0.00124380  4.09830e-005
+0.0560676  0.00180554  5.09379e-005
+0.0566283  0.00214211  5.63167e-005
+0.0571946  0.00207049  5.22190e-005
+0.0577665  0.00151467  4.06905e-005
+0.0583442  0.000918109  3.00631e-005
+0.0589276  0.000523212  2.09745e-005
+0.0595169  0.000454332  2.03172e-005
+0.0601121  0.000735518  2.79901e-005
+0.0607132  0.00108549  3.14789e-005
+0.0613203  0.00136057  3.44964e-005
+0.0619335  0.00121586  3.34158e-005
+0.0625528  0.000861177  2.78032e-005
+0.0631784  0.000462963  1.73513e-005
+0.0638102  0.000297269  1.45077e-005
+0.0644483  0.000348487  1.63272e-005
+0.0650927  0.000596505  2.06857e-005
+0.0657437  0.000788588  2.49641e-005
+0.0664011  0.000792275  2.49458e-005
+0.0670651  0.000595311  2.04429e-005
+0.0677358  0.000335338  1.45775e-005
+0.0684131  0.000199648  1.03786e-005
+0.0690973  0.000249447  1.21945e-005
+0.0697882  0.000400587  1.53933e-005
+0.0704861  0.000484298  1.67965e-005
+0.0711910  0.000504908  1.67182e-005
+0.0719029  0.000369647  1.36735e-005
+0.0726219  0.000203649  9.63227e-006
+0.0733481  0.000142743  7.77255e-006
+0.0740816  0.000194778  1.04837e-005
+0.0748224  0.000298843  1.25264e-005
+0.0755707  0.000345177  1.47736e-005
+0.0763264  0.000300334  1.30570e-005
+0.0770896  0.000202304  9.43365e-006
+0.0778605  0.000135146  7.41379e-006
+0.0786391  0.000123260  6.90168e-006
+0.0794255  0.000184296  8.85156e-006
+0.0802198  0.000237201  1.02218e-005
+0.0810220  0.000214790  9.11023e-006
+0.0818322  0.000150690  7.18279e-006
+0.0826505  9.00454e-005  5.94710e-006
+0.0834770  9.03782e-005  5.68063e-006
+0.0843118  0.000141873  6.65217e-006
+0.0851549  0.000163560  7.63910e-006
+0.0860064  0.000140535  7.78581e-006
+0.0868665  8.93858e-005  6.03004e-006
+0.0877352  5.92666e-005  4.20128e-006
+0.0886125  7.64039e-005  4.82042e-006
+0.0894987  0.000114803  6.52339e-006
+0.0903936  0.000104782  6.40088e-006
+0.0912976  9.52229e-005  5.82799e-006
+0.0922106  7.06955e-005  4.50775e-006
+0.0931327  6.13081e-005  3.90124e-006
+0.0940640  7.00385e-005  4.21881e-006
+0.0950046  8.86484e-005  5.05629e-006
+0.0959547  7.72893e-005  4.88504e-006
+0.0969142  5.64858e-005  4.53387e-006
+0.0978834  4.76953e-005  4.16508e-006
+0.0988622  5.88348e-005  4.27643e-006
+0.0998508  6.48796e-005  4.20775e-006
+0.100849  6.28582e-005  4.03470e-006
+0.101858  4.47171e-005  3.24721e-006
+0.102876  4.03740e-005  2.88885e-006
+0.103905  5.14897e-005  3.19467e-006
+0.104944  5.35973e-005  3.27317e-006
+0.105994  4.52867e-005  2.94382e-006
+0.107054  4.09899e-005  2.78586e-006
+0.108124  3.89382e-005  2.65950e-006
+0.109205  4.50738e-005  2.85791e-006
+0.110297  4.60581e-005  2.99755e-006
+0.111400  3.75724e-005  2.73234e-006
+0.112514  3.48787e-005  2.73813e-006
+0.113640  3.25430e-005  2.75431e-006
+0.114776  3.53942e-005  3.04983e-006
+0.115924  4.39496e-005  3.71032e-006
+0.117083  3.17644e-005  3.11403e-006
+0.118254  2.71429e-005  2.55242e-006
+0.119436  3.51949e-005  2.66951e-006
+0.120631  3.38018e-005  2.29772e-006
+0.121837  2.76843e-005  1.99876e-006
+0.123055  2.47541e-005  1.94364e-006
+0.124286  2.72585e-005  2.26720e-006
+0.125529  3.07760e-005  2.86434e-006
+0.126784  2.76326e-005  2.72626e-006
+0.128052  2.75574e-005  2.27391e-006
+0.129332  2.50036e-005  1.83227e-006
+0.130626  2.48078e-005  1.80178e-006
+0.131932  2.66661e-005  2.21521e-006
+0.133251  2.57189e-005  2.50880e-006
+0.134584  2.10161e-005  2.03183e-006
+0.135930  2.37672e-005  1.76491e-006
+0.137289  2.28594e-005  1.74215e-006
+0.138662  1.80161e-005  1.94190e-006
+0.140048  1.92866e-005  2.11669e-006
+0.141449  1.71485e-005  1.54830e-006
+0.142863  1.67488e-005  1.43106e-006
+0.144292  1.72791e-005  1.94554e-006
+0.145735  1.69174e-005  2.00432e-006
+0.147192  1.66274e-005  1.49065e-006
+0.148664  1.71027e-005  1.54594e-006
+0.150151  1.86616e-005  2.11933e-006
+0.151652  1.26504e-005  1.49963e-006
+0.153169  1.31255e-005  1.26642e-006
+0.154701  1.48463e-005  1.90985e-006
+0.156248  1.46561e-005  1.88141e-006
+0.157810  1.43918e-005  1.34402e-006
+0.159388  1.41340e-005  1.85734e-006
+0.160982  1.35302e-005  1.87224e-006
+0.162592  1.41379e-005  1.36227e-006
+0.164218  1.47340e-005  1.97722e-006
+0.165860  1.34600e-005  1.84475e-006
+0.167519  1.25573e-005  1.35258e-006
+0.169194  1.12740e-005  1.78517e-006
+0.170886  1.56259e-005  1.82379e-006
+0.172595  1.53380e-005  1.81382e-006
+0.174321  9.92309e-006  1.74326e-006
+0.176064  1.13755e-005  1.35011e-006
+0.177824  1.25446e-005  1.99229e-006
+0.179603  1.08790e-005  1.67270e-006
+0.181399  1.07734e-005  1.56341e-006
+0.183213  1.12529e-005  1.94532e-006
+0.185045  1.11770e-005  1.38234e-006
+0.186895  1.10891e-005  1.95535e-006
+0.188764  1.42045e-005  1.75034e-006
+0.190652  1.54966e-005  2.33973e-006
+0.192558  1.20368e-005  1.90797e-006
+0.194484  1.15704e-005  1.87052e-006
+0.196429  1.01103e-005  1.94929e-006
+